Skip to main content

GetDialogLog

Retrieves records of real-time conversations and the results of intent analysis.

Operation description

Request description

This API retrieves conversation records between customers and service agents, along with intent analysis results generated by the model.

Try it now

Try this API in OpenAPI Explorer, no manual signing needed. Successful calls auto-generate SDK code matching your parameters. Download it with built-in credential security for local usage.

RAM authorization

The table below describes the authorization required to call this API. You can define it in a Resource Access Management (RAM) policy. The table's columns are detailed below:
  • Action: The actions can be used in the Action element of RAM permission policy statements to grant permissions to perform the operation.
  • API: The API that you can call to perform the action.
  • Access level: The predefined level of access granted for each API. Valid values: create, list, get, update, and delete.
  • Resource type: The type of the resource that supports authorization to perform the action. It indicates if the action supports resource-level permission. The specified resource must be compatible with the action. Otherwise, the policy will be ineffective.
    • For APIs with resource-level permissions, required resource types are marked with an asterisk (*). Specify the corresponding Alibaba Cloud Resource Name (ARN) in the Resource element of the policy.
    • For APIs without resource-level permissions, it is shown as All Resources. Use an asterisk (*) in the Resource element of the policy.
  • Condition key: The condition keys defined by the service. The key allows for granular control, applying to either actions alone or actions associated with specific resources. In addition to service-specific condition keys, Alibaba Cloud provides a set of common condition keys applicable across all RAM-supported services.
  • Dependent action: The dependent actions required to run the action. To complete the action, the RAM user or the RAM role must have the permissions to perform all dependent actions.

Action

Access level

Resource type

Condition key

Dependent action

dianjin:GetDialogLog

none

*All Resource

*

NoneNone

Request syntax

POST /{workspaceId}/api/dialog/log HTTP/1.1

Path Parameters

Parameter

Type

Required

Description

Example

workspaceId

string

Yes

The workspace ID.

llm-xxxx

Request parameters

Parameter

Type

Required

Description

Example

body

object

No

The request body.

id

string

No

The `id` field returned by the real-time conversation API.

175600129454077743fb03ac54955a4be72ec08f9c216

sessionId

string

No

The session ID.

1758010668S001w4paq82azm

Response elements

Element

Type

Description

Example

object

ResultCode

success

boolean

Indicates whether the request was successful.

true

dataType

string

The data type.

null

time

string

The timestamp.

2024-01-01 00:00:00

errCode

string

The error code.

0

message

string

The error message.

ok

data

object

The response data.

recallList

string

The recall list.

## Example:\n- 对话内容为:\"##客服##:您好,请问有什么可以帮到您?\n ##客户##:暂时没有了。谢谢。\"时,用户意图为:\"客户想要挂断电话\"\n- 对话内容为:\"##客服##:您好,请问有什么可以帮到您?\n ##客户##:哎你好。\"时,用户意图为:\"客户询问来电目的\"\n- 对话内容为:\"##客服##:您好,请问有什么可以帮到您?\n ##客户##:我现在财务状况很好,谢谢关心。\"时,用户意图为:\"客户拒绝贷款\"\n- 对话内容为:\"##客服##:您好,请问有什么可以帮到您?\n ##客户##:不用了,谢谢,不要再打电话了,谢谢。\"时,用户意图为:\"投诉/退订/不要打电话/骂人\"\n- 对话内容为:\"##客服##:您好,请问有什么可以帮到您?\n ##客户##:你好。\"时,用户意图为:\"客户询问来电目的\"

intentionList

array<object>

The intent list.

object

The intent.

intentionName

string

The intent name.

客户明确表示拒绝营销

intentionScript

string

The intentionScript field contains the service agent's reply script for the user's intent.

非常抱歉,给您带来了不好的体验。如您无需再接受我们的官方来电,请回复“我要退订”四个字!

description

string

The description field provides a detailed description of the user's intent.

客户明确表示投诉/退订/不要打电话/骂人等拒绝营销

conversationList

string

The conversationList field records the conversation content.

##客服##:您好,请问是张三先生是吧?\n ##客户##:人工客服\n ##客服##:您好,我是2804,很高兴为您服务!\n ##客服##:您好,请问有什么可以帮到您?\n ##客户##:好的 谢谢\n

hitIntentionList

array<object>

The list of hit intents.

object

The hit intent.

intentionName

string

The intent name.

客户要求转人工

intentionScript

string

The scripted reply based on the customer's intent.

很抱歉,我这里无法直接为您转接,您可以拨打我司客服热线进行咨询。

description

string

A description of the customer's intent.

客户希望与真人接触,不想和AI客服继续对话。

analysisProcess

string

The analysis process. This field has a value if the analysis process is enabled during the real-time conversation.

客户回答的内容与提供的意图列表描述均不匹配,没有表达出对账单、还款、天气或其他服务的具体需求或问题。

modelCostTime

integer

The model processing time, in milliseconds.

1382

requestId

string

The request ID.

051EEB18-049A-17FF-A5E0-14A5B127C798

cost

integer

The processing time.

null

Examples

Success response JSON format
{
  "success": true,
  "dataType": "null",
  "time": "2024-01-01 00:00:00",
  "errCode": "0",
  "message": "ok",
  "data": {
    "recallList": "## Example:\\n- 对话内容为:\\\"##客服##:您好,请问有什么可以帮到您?\\n ##客户##:暂时没有了。谢谢。\\\"时,用户意图为:\\\"客户想要挂断电话\\\"\\n- 对话内容为:\\\"##客服##:您好,请问有什么可以帮到您?\\n ##客户##:哎你好。\\\"时,用户意图为:\\\"客户询问来电目的\\\"\\n- 对话内容为:\\\"##客服##:您好,请问有什么可以帮到您?\\n ##客户##:我现在财务状况很好,谢谢关心。\\\"时,用户意图为:\\\"客户拒绝贷款\\\"\\n- 对话内容为:\\\"##客服##:您好,请问有什么可以帮到您?\\n ##客户##:不用了,谢谢,不要再打电话了,谢谢。\\\"时,用户意图为:\\\"投诉/退订/不要打电话/骂人\\\"\\n- 对话内容为:\\\"##客服##:您好,请问有什么可以帮到您?\\n ##客户##:你好。\\\"时,用户意图为:\\\"客户询问来电目的\\\"",
    "intentionList": [
      {
        "intentionName": "客户明确表示拒绝营销",
        "intentionScript": "非常抱歉,给您带来了不好的体验。如您无需再接受我们的官方来电,请回复“我要退订”四个字!",
        "description": "客户明确表示投诉/退订/不要打电话/骂人等拒绝营销"
      }
    ],
    "conversationList": "##客服##:您好,请问是张三先生是吧?\\n ##客户##:人工客服\\n ##客服##:您好,我是2804,很高兴为您服务!\\n ##客服##:您好,请问有什么可以帮到您?\\n ##客户##:好的 谢谢\\n ",
    "hitIntentionList": [
      {
        "intentionName": "客户要求转人工",
        "intentionScript": "很抱歉,我这里无法直接为您转接,您可以拨打我司客服热线进行咨询。\n",
        "description": "客户希望与真人接触,不想和AI客服继续对话。"
      }
    ],
    "analysisProcess": "客户回答的内容与提供的意图列表描述均不匹配,没有表达出对账单、还款、天气或其他服务的具体需求或问题。",
    "modelCostTime": 1382
  },
  "requestId": "051EEB18-049A-17FF-A5E0-14A5B127C798",
  "cost": 0
}

Error codes

See Error Codes for a complete list.

Release notes

See Release Notes for a complete list.
Token Plan
Model Playground
Fine-tuning
Model Compression
Statistics and Monitoring
Support